Enable or disable a specific guardrail type for an agent. This will create a new guardrail instance if enabled and not already created.Staging behaviour:
Enable or disable a specific guardrail type for the staging version instead of the published agent.
Changes are propagated to the published agent via the Publish API(POST api/v2/agents/{agent_id}/publish).
Path Parameters: agent_id (int): ID of the agentRequest Body: guardrail_type (str): Type of guardrail to enable/disable enable (bool): Whether to enable or disable this guardrail type config (dict, optional): Additional data for specific guardrail typesReturns: JSON response with the enabled/disabled guardrail